> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/models.md).

# Models Reference

- [Content](https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/models/content.md): The Content class represents a single item in the content tree, its values are fetched directly from the database, not from the cache.
- [ContentType](https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/models/contenttype.md): A ContentType corresponds to the Document Type found in the backoffice.
- [DataType](https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/models/datatype.md): A DataType is what you see in the backoffice in the Settings / DataTypes tree. The listed nodes are definitions of the DataTypes that are available to use on your PropertyTypes.
- [DictionaryItem](https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/models/dictionaryitem.md): Represents a Dictionary Item. A Dictionary Item is what you see in the Translation / Dictionary tree.
- [Language](https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/models/language.md): Represents a Language. Installed languages can be found in the settings section.
- [Media](https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/models/media.md): The Media class represents a single item in the media tree.
- [MediaType](https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/models/mediatype.md): A MediaType is almost the same as a ContentType. I.e. a model / data definition for your media nodes.
- [Relation](https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/models/relation.md): Represents a Relation between two items.
- [RelationType](https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/models/relationtype.md): The \`RelationType\` class represents a relation definition between two node types (content or media).
- [ServerRegistration](https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/models/serverregistration.md): Represents a registered server in a multiple-servers environment.
- [Template](https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/models/template.md): Represents a Template file.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
